Subject: Re: softmac: semantics of SIOCSIWFREQ

From: Johannes Berg <[email-masked]>
Date: Mon, 17 Apr 2006 21:27:09 +0200

On Mon, 2006-04-17 at 12:06 -0700, Jean Tourrilhes wrote:

> 	Definitely. I was just pointing out that scanning behaviour is
> not dictated by current setting of the drivers (except when the
> hardware does it, cf. Ornoco).

Yeah, I was just repeating it for Ulrich :)

> 	For freq, it's simpler. In managed mode, it's never 'fixed',
> because the card/driver choose the frequency. In master mode, it's
> almost always 'fixed', because the user has to set the frequency. In
> ad-hoc mode, it depend in the node creates or not the IBSS.

But isn't that a detail the user shouldn't have to know? See, if a node
with a higher TSF joins the IBSS, then it gets to send out the beacons
for it, IIRC.

johannes